export interface PlanPrediction {
  total_investement_value: number
  total_input_price_increase: number
  total_input_price_increase_covered_pieces: number
  months_spent_on_plan: number
  money_spent: number
  bought_pieces: number
  annual_investment_return: number
  investment_piece: InvestmentPiece
  max_pieces_in_package: number
  period_to_first_piece: PeriodToFirstPiece
}

export interface InvestmentPiece {
  referenced_product_id: number
  name: string
  cover_picture_uuid: string
  weight: string
  active: boolean
  price: number
  price_per_gram: number
  currency_iso: string
  currency_conversion_rate: string
  max_comission_value: number
  average_input_price_increase: number
  features: Feature[]
}

export interface Feature {
  feature_id: number
  feature: string
  value_id: number
  value: string
}

export interface PeriodToFirstPiece {
  years: number
  months: number
  days: number
}
